%global pypi_name black
%global commitId 2018e667a6a36ee3fbfa8041cd36512f92f60d49

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        22.8.0
Release:        1%{?dist}
Summary:        The Uncompromising Code Formatter

License:        MIT
URL:            https://github.com/psf/black
Source0:        python-black-2018e667a6a36ee3fbfa8041cd36512f92f60d49.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml
BuildRequires:  python%{python3_pkgversion}-wheel

%description
Black is the uncompromising Python code formatter. By using it, you agree
to cede control over minutiae of hand-formatting. In return, Black gives
you speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        The Uncompromising Code Formatter

Requires:       python%{python3_pkgversion}-click >= 8
Requires:       python%{python3_pkgversion}-mypy-extensions >= 0.4.3
Requires:       python%{python3_pkgversion}-pathspec >= 0.9
Requires:       python%{python3_pkgversion}-platformdirs >= 2
Requires:       python%{python3_pkgversion}-tomli >= 1.1
Requires:       python%{python3_pkgversion}-typing-extensions >= 3.10

%description -n python%{python3_pkgversion}-%{pypi_name}
Black is the uncompromising Python code formatter. By using it, you agree
to cede control over minutiae of hand-formatting. In return, Black gives
you speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
sed -i -e 's/setuptools_scm\[toml\]>=6.3.1/setuptools_scm[toml]>=3.5.0/' setup.cfg

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_build}

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.md README.md
%license LICENSE
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}d
%{python3_sitelib}/__pycache__/_%{pypi_name}_version.cpython-%{python3_version_nodots}*.pyc
%{python3_sitelib}/_%{pypi_name}_version.py
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}d
%{python3_sitelib}/blib2to3
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Oct 17 2022 Dimitri Savineau <dsavinea@redhat.com> 22.8.0-1
- Initial release
